//+------------------------------------------------------------------+
//|                                                TradesPerDay.mq4  |
//|                                                           Marcus |
//|                                            andrewqaz@hotmail.com |
//|                                            copyright freeware    |
//+------------------------------------------------------------------+

#include <WinUser32.mqh>

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   datetime LastDate,NextDate ;
   int ClosedCount=0 ;
   
   if ( OrdersHistoryTotal()>0 )
     {
      OrderSelect(0,SELECT_BY_POS,MODE_HISTORY) ;
      LastDate=TheOrdersDate(OrderCloseTime()) ;
       
      for(int i=0;i<OrdersHistoryTotal();i++)
        {       
         OrderSelect(i,SELECT_BY_POS,MODE_HISTORY) ;
         NextDate=TheOrdersDate( OrderCloseTime() );  //int MT4 says returns an int when it should return a datetime!
         if ( LastDate == NextDate )
           {
            ClosedCount++ ; //count
           }
         else
           {
            Print(TimeToStr(LastDate)," - ", ClosedCount ) ;
            ClosedCount=1 ;
            LastDate = NextDate ;
           }
           
        }//end for loop
        Print(TimeToStr(LastDate)," - ", ClosedCount ) ;
     }
   Alert("See Experts Journal for results, expert now being removed" ) ;
   commitSuicide() ;
   return(0);
  }
   
//------
datetime TheOrdersDate( datetime mytime ) 
  {
   datetime result ;
   string yy,mm,dd ;
   string sResult ;
   yy = IntToStr( TimeYear( mytime ) );
   mm = IntToStr( TimeMonth( mytime ) ) ;
   dd = IntToStr( TimeDay( mytime ) ) ;
   sResult = yy+"."+mm+"."+dd ; // String date of the format yyyy.mm.dd
   result = StrToTime( sResult ) ;
   return(result) ;
  }//end of function
 
string IntToStr(int myInt ) // Cant find a MT4 function inttostr so this will have to do.
  {
   return( myInt ) ;
  }//end function
    
void commitSuicide() //Don't forget to use #include <WinUser32.mqh> for this function
 {
  int h = WindowHandle(Symbol(), Period());
  if (h != 0) PostMessageA(h, WM_COMMAND, 33050, 0);
 }//end function

